<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

/**
 * Class CreateVzdelavaniePouzivatelTestovanieOdpovedeTable
 */
return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vzdelavanie_pouzivatel_testovanie_odpovede', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('pouzivatel_testovanie_otazka_id');

            $table->longText('znenie');
            $table->boolean('spravna')->default(false);
            $table->boolean('zvolena')->default(false);

            $table->foreign('pouzivatel_testovanie_otazka_id')->references('id')->on('vzdelavanie_pouzivatel_testovanie_otazky')->cascadeOnDelete();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vzdelavanie_pouzivatel_testovanie_odpovede');
    }
};
